Bug 692211 - Replication agreements contain attributes which have invalid syntax
Replication agreements contain attributes which have invalid syntax
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.0
Unspecified Unspecified
low Severity unspecified
: rc
: 7.3
Assigned To: Noriko Hosoi
Viktor Ashirov
:
Depends On:
Blocks: 389_1.3.0 690319
  Show dependency treegraph
 
Reported: 2011-03-30 13:35 EDT by Noriko Hosoi
Modified: 2017-03-02 04:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noriko Hosoi 2011-03-30 13:35:19 EDT
Reported by Andrey Ivanov (andrey.ivanov@polytechnique.fr)

Description of problem:
However, i still have the syntax validation problem in cn=config for
replication agreements (have not tested with 1.2.8rcx but i think it has not
changed):

nsds5replicaChangesSentSinceStartup: value #0 invalid per syntax
nsds5replicaLastInitStart: value #0 invalid per syntax
nsds5replicaLastInitEnd: value #0 invalid per syntax

I think it's not the dn parsing problem, it is the schema definitions of
syntaxes for these attributes and the values that do not correspond to the
syntax :

(has integer syntax)nsds5replicaChangesSentSinceStartup: 1:11157/0 3:176/0
(has generalized time syntax)nsds5replicaLastInitStart: 0
(has generalized time syntax)nsds5replicaLastInitEnd: 0


attributeTypes: ( 2.16.840.1.113730.3.1.687 NAME
'nsds5replicaChangesSentSinceStartup' DESC 'Netscape defined attribute type'
EQUALITY integerMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE
NO-USER-MODIFICATION X-ORIGIN 'Netscape Directory Server' )

attributeTypes: ( 2.16.840.1.113730.3.1.807 NAME 'nsds5replicaLastInitStart'
DESC 'Netscape defined attribute type' EQUALITY generalizedTimeMatch ORDERING
generalizedTimeOrderingMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.24 SINGLE-VALUE
NO-USER-MODIFICATION X-ORIGIN 'Netscape Directory Server' )

attributeTypes: ( 2.16.840.1.113730.3.1.808 NAME 'nsds5replicaLastInitEnd' DESC
'Netscape defined attribute type' EQUALITY generalizedTimeMatch ORDERING
generalizedTimeOrderingMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.24 SINGLE-VALUE
NO-USER-MODIFICATION X-ORIGIN 'Netscape Directory Server' )

Note: Separated from Bug 555577 - Syntax validation fails for "ou=NetscapeRoot" tree
Comment 1 Martin Kosek 2012-01-04 08:27:21 EST
Upstream ticket:
https://fedorahosted.org/389/ticket/58

Note You need to log in before you can comment on or make changes to this bug.